$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.11.40-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.11.40-RC.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'AE0D3B3152FFEA552D98C8170DE08B080322707810CE7DE28A1AEC01277E2DA5'
  checksumType = 'sha256'
  checksum64 = 'AE0D3B3152FFEA552D98C8170DE08B080322707810CE7DE28A1AEC01277E2DA5'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.11.40-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
